For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetCallHistory
        • POSTGetCallHistoryAsync
        • POSTGetBriefCallHistory
        • POSTGetHistoryReports
        • POSTDownloadHistoryReport
        • POSTGetTransactionHistory
        • POSTGetTransactionHistoryAsync
        • POSTDeleteRecord
        • POSTGetACDHistory
        • POSTGetAuditLog
        • POSTGetAuditLogAsync
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceHistory

GetAuditLogAsync

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAuditLogAsync
POST
/platform_api/GetAuditLogAsync
$curl -X POST "https://api.voximplant.com/platform_api/GetAuditLogAsync?from_date=2018-02-01%2000%3A00%3A00&to_date=2018-03-01%2000%3A00%3A00&audit_log_id=101&audit_log_id=102&audit_log_id=103&filtered_admin_user_id=admin_789&filtered_ip=192.168.1.10&filtered_ip=203.0.113.5&filtered_cmd=CreateUser&filtered_cmd=DeleteUser&filtered_cmd=UpdateSettings&advanced_filters=user_id&desc_order=true&with_header=true&output=csv" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1,
3 "history_report_id": 234254
4}
The [GetAuditLog] asynchronous implementation. Use this function to download a large amounts of data. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details. Allowed roles: `Owner`. **Example request:** Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter.
Was this page helpful?
Previous

GetAuditLog

Next

GetPhoneNumberReports

Built with

The [GetAuditLog] asynchronous implementation. Use this function to download a large amounts of data. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details.

Allowed roles: Owner.

Example request: Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The UTC ‘from’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The UTC ‘to’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

audit_log_idlist of integersOptional

The audit history ID list separated by semicolons (;)

filtered_admin_user_idstringOptional
The admin user ID to filter
filtered_iplist of stringsOptional

The IP list separated by semicolons (;) to filter

filtered_cmdlist of stringsOptional

The function list separated by semicolons (;) to filter

advanced_filtersstringOptional

A relation ID to filter (for example: a phone_number value, a user_id value, an application_id value)

desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
with_headerbooleanOptionalDefaults to true

Whether to get a CSV file with the column names if the output=csv

outputstringOptionalDefaults to csv

The output format. The following values available: csv. The default value is csv

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
history_report_idinteger
The history report ID

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.